<ui version="4.0" >
 <class>PolymerModificationDlg</class>
 <widget class="QDialog" name="PolymerModificationDlg" >
  <property name="windowModality" >
   <enum>Qt::NonModal</enum>
  </property>
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>504</width>
    <height>355</height>
   </rect>
  </property>
  <property name="windowTitle" >
   <string>massXpert: Polymer modification</string>
  </property>
  <property name="windowIcon" >
   <iconset>../images/massxpert-icon-32.png</iconset>
  </property>
  <property name="sizeGripEnabled" >
   <bool>true</bool>
  </property>
  <property name="modal" >
   <bool>false</bool>
  </property>
  <layout class="QGridLayout" >
   <item row="0" column="0" >
    <widget class="QGroupBox" name="groupBox" >
     <property name="whatsThis" >
      <string>List of all the modifications available in the polymer chemistry definition. Only one item is selectable at a time.</string>
     </property>
     <property name="title" >
      <string>Available modifications</string>
     </property>
     <layout class="QGridLayout" >
      <property name="leftMargin" >
       <number>9</number>
      </property>
      <property name="topMargin" >
       <number>9</number>
      </property>
      <property name="rightMargin" >
       <number>9</number>
      </property>
      <property name="bottomMargin" >
       <number>9</number>
      </property>
      <property name="horizontalSpacing" >
       <number>6</number>
      </property>
      <property name="verticalSpacing" >
       <number>6</number>
      </property>
      <item row="0" column="0" >
       <widget class="QListWidget" name="modifListWidget" />
      </item>
     </layout>
    </widget>
   </item>
   <item row="0" column="1" >
    <layout class="QGridLayout" >
     <item row="0" column="0" >
      <widget class="QGroupBox" name="defineModifGroupBox" >
       <property name="title" >
        <string>Define modification</string>
       </property>
       <property name="checkable" >
        <bool>true</bool>
       </property>
       <property name="checked" >
        <bool>false</bool>
       </property>
       <layout class="QGridLayout" >
        <item row="0" column="0" >
         <widget class="QLabel" name="label" >
          <property name="text" >
           <string>Name:</string>
          </property>
          <property name="buddy" >
           <cstring>modifNameLineEdit</cstring>
          </property>
         </widget>
        </item>
        <item row="0" column="1" >
         <widget class="QLineEdit" name="modifNameLineEdit" />
        </item>
        <item row="1" column="0" >
         <widget class="QLabel" name="label_2" >
          <property name="text" >
           <string>Formula:</string>
          </property>
          <property name="buddy" >
           <cstring>modifFormulaLineEdit</cstring>
          </property>
         </widget>
        </item>
        <item row="1" column="1" >
         <widget class="QLineEdit" name="modifFormulaLineEdit" />
        </item>
       </layout>
      </widget>
     </item>
     <item row="1" column="0" >
      <widget class="QGroupBox" name="targetGroupBox" >
       <property name="whatsThis" >
        <string>The controls in this group box permit the selection of the monomers in the sequence that will be modified (or unmodified).</string>
       </property>
       <property name="title" >
        <string>Target</string>
       </property>
       <layout class="QVBoxLayout" >
        <property name="spacing" >
         <number>6</number>
        </property>
        <property name="leftMargin" >
         <number>9</number>
        </property>
        <property name="topMargin" >
         <number>9</number>
        </property>
        <property name="rightMargin" >
         <number>9</number>
        </property>
        <property name="bottomMargin" >
         <number>9</number>
        </property>
        <item>
         <layout class="QVBoxLayout" >
          <property name="spacing" >
           <number>6</number>
          </property>
          <property name="leftMargin" >
           <number>0</number>
          </property>
          <property name="topMargin" >
           <number>0</number>
          </property>
          <property name="rightMargin" >
           <number>0</number>
          </property>
          <property name="bottomMargin" >
           <number>0</number>
          </property>
          <item>
           <layout class="QHBoxLayout" >
            <property name="spacing" >
             <number>6</number>
            </property>
            <property name="leftMargin" >
             <number>0</number>
            </property>
            <property name="topMargin" >
             <number>0</number>
            </property>
            <property name="rightMargin" >
             <number>0</number>
            </property>
            <property name="bottomMargin" >
             <number>0</number>
            </property>
            <item>
             <widget class="QCheckBox" name="leftEndCheckBox" >
              <property name="text" >
               <string>&amp;Left end</string>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QLineEdit" name="leftEndLineEdit" >
              <property name="readOnly" >
               <bool>true</bool>
              </property>
             </widget>
            </item>
           </layout>
          </item>
          <item>
           <layout class="QHBoxLayout" >
            <property name="spacing" >
             <number>6</number>
            </property>
            <property name="leftMargin" >
             <number>0</number>
            </property>
            <property name="topMargin" >
             <number>0</number>
            </property>
            <property name="rightMargin" >
             <number>0</number>
            </property>
            <property name="bottomMargin" >
             <number>0</number>
            </property>
            <item>
             <widget class="QCheckBox" name="rightEndCheckBox" >
              <property name="text" >
               <string>&amp;Right end</string>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QLineEdit" name="rightEndLineEdit" >
              <property name="readOnly" >
               <bool>true</bool>
              </property>
             </widget>
            </item>
           </layout>
          </item>
         </layout>
        </item>
       </layout>
      </widget>
     </item>
     <item row="2" column="0" >
      <widget class="QGroupBox" name="groupBox_3" >
       <property name="title" >
        <string>Actions</string>
       </property>
       <layout class="QGridLayout" >
        <property name="leftMargin" >
         <number>9</number>
        </property>
        <property name="topMargin" >
         <number>9</number>
        </property>
        <property name="rightMargin" >
         <number>9</number>
        </property>
        <property name="bottomMargin" >
         <number>9</number>
        </property>
        <property name="horizontalSpacing" >
         <number>6</number>
        </property>
        <property name="verticalSpacing" >
         <number>6</number>
        </property>
        <item row="1" column="0" >
         <widget class="QPushButton" name="unmodifyPushButton" >
          <property name="text" >
           <string>&amp;Unmodify</string>
          </property>
         </widget>
        </item>
        <item row="0" column="0" >
         <widget class="QPushButton" name="modifyPushButton" >
          <property name="text" >
           <string>&amp;Modify</string>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
     </item>
     <item row="3" column="0" >
      <spacer>
       <property name="orientation" >
        <enum>Qt::Vertical</enum>
       </property>
       <property name="sizeHint" >
        <size>
         <width>312</width>
         <height>101</height>
        </size>
       </property>
      </spacer>
     </item>
    </layout>
   </item>
  </layout>
 </widget>
 <resources/>
 <connections/>
</ui>
